## don't replace ltmain.sh
%define __libtoolize :

%define glib2_version 2.2.0
%define gtk2_version 2.2.0
%define pango_version 1.2.0
%define startup_notification_version 0.5

Summary: Window Navigator Construction Kit
Name: libwnck
Version: 2.2.1
Release: 3.XOS.1
URL: ftp://ftp.gnome.org
Source0: %{name}-%{version}.tar.bz2
Patch0: libwnch-2.2.1-64bit.patch
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root

Requires: glib2 >= %{glib2_version}
Requires: gtk2 >= %{gtk2_version}
Requires: startup-notification >= 0.5

BuildRequires:	glib2-devel >= %{glib2_version}
BuildRequires:	gtk2-devel >= %{gtk2_version}
BuildRequires:  pango-devel >= %{pango_version}
BuildRequires:  startup-notification-devel >= %{startup_notification_version}

%description

libwnck (pronounced "libwink") is used to implement pagers, tasklists, 
and other such things. It allows applications to monitor information 
about open windows, workspaces, their names/icons, and so forth.

%package devel
Summary: Libraries and headers for libwnck
Group: Development/Libraries
Requires: %name = %{version}

Requires: glib2-devel >= %{glib2_version}
Requires: pango-devel >= %{pango_version}
Requires: gtk2-devel >= %{gtk2_version}

%description devel


libwnck (pronounced "libwink") is used to implement pagers, tasklists, 
and other such things. It allows applications to monitor information 
about open windows, workspaces, their names/icons, and so forth.

You should install the libwnck-devel package if you would like to
compile applications that use libwnck. You don't need libwnck-devel 
just to use precompiled applications.

%prep
%setup -q
%patch0 -p1 -b .64bit

%build

%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)

%doc AUTHORS COPYING ChangeLog README

%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)

%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
## %{_datadir}/gtk-doc

%changelog
* Fri Aug 20 2004 X/OS Linux Team <xoslinux@xos.nl> 2.2.1-3.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on libwnck-2.2.1-3.src.rpm
  (md5sum of original source rpm: ca27c0a94dfa81d874f51325782cc18b).

* Thu Apr  3 2003 Matt Wilson <msw@redhat.com> 2.2.1-3
- make sure that _NET_DECKTOP_LAYOUT is only 4 elements.  Using
  "sizeof (data) / 4" results in 8 elements being set on 64 bit
  platforms.  Just use "4" instead. (#87951)

* Fri Feb 14 2003 Havoc Pennington <hp@redhat.com> 2.2.1-2
- remove Xft buildreq

* Wed Feb  5 2003 Havoc Pennington <hp@redhat.com> 2.2.1-1
- 2.2.1 adds StartupWMClass to tasklist
- require startup-notification 0.5

* Wed Feb  5 2003 Alexander Larsson <alexl@redhat.com>
- 2.2.0

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Jan 10 2003 Havoc Pennington <hp@redhat.com>
- 2.1.90

* Mon Dec  2 2002 Havoc Pennington <hp@redhat.com>
- 2.1.5

* Fri Nov  8 2002 Havoc Pennington <hp@redhat.com>
- 2.1.3

* Thu Oct 31 2002 Havoc Pennington <hp@redhat.com>
- 0.18 that displays standalone dialogs in task list

* Sun Aug 25 2002 Havoc Pennington <hp@redhat.com>
- 0.17 allows clicking a task to minimize it, and DND over a task to
  switch to it, adds translations, and fixes a couple crash things in
  the accessibility stuff.

* Thu Aug  8 2002 Havoc Pennington <hp@redhat.com>
- 0.16 with some tasklist fixes and 
  pager fixes

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- remove empty NEWS

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 0.14

* Thu Jun 06 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue Jun  4 2002 Havoc Pennington <hp@redhat.com>
- 0.13
- add ldconfig to post/postun

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Fri May 17 2002 Havoc Pennington <hp@redhat.com>
- 0.12

* Thu May  2 2002 Havoc Pennington <hp@redhat.com>
- 0.9

* Wed Apr 17 2002 Havoc Pennington <hp@redhat.com>
- 0.8

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- 0.3

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Rebuild with new glib and gtk+

* Wed Jan 23 2002 Havoc Pennington <hp@redhat.com>
- Initial build

